Create User
POST
/api/superadmin/users
const url = 'https://example.com/api/superadmin/users';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"example","display_name":"","first_name":"example","last_name":"example","password":"example","is_superadmin":false,"org_id":"example","org_role":"member","team_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/superadmin/users \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "display_name": "", "first_name": "example", "last_name": "example", "password": "example", "is_superadmin": false, "org_id": "example", "org_role": "member", "team_id": "example" }'Create a new user with optional password, org, and team assignment.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
CreateUserRequest
object
email
required
Email
string
display_name
Display Name
string
is_superadmin
Is Superadmin
boolean
org_role
Org Role
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response Create User Api Superadmin Users Post
object
key
additional properties
any
Example generated
{}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}